[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TParser.TokenSymbolIs

Returns True if the token equals the given symbol.

## Declaration

Source position: classesh.inc line 1674

`public function TParser.TokenSymbolIs(`
`const S: string`
`):Boolean;`

## Description

TokenSymbolIs performs a case-insensitive comparison of current token value with S.

If current token isn't of type toSymbol, or comparison fails, False is returned.

## Errors

None.

## See also

TParser.CheckTokenSymbol |  | Checks whether the token equals the given symbol
TParser.Token |  | The type of the current token.